#!/bin/bash
export LC_ALL="ru_RU.CP1251"
export LANG="ru_RU.CP1251"
cd ~/PCB
JAVACMD=$JAVA_HOME/bin/java
KEYS_DIR=./keys
KEYS_PASS=123456

echo Using JAVA_HOME: $JAVA_HOME

if [ -z "$1" ] ; then 
  shift
    echo ===========================
    echo  Start module PC_Banking 
    echo ===========================

    $JAVACMD -Xmx256M -cp launcher.jar  com.bifit.launcher.Launcher

elif [ "$1" = "stop" ] ; then
  shift
    $JAVACMD -Xmx256M -cp sinker.jar com.bifit.sinker.server.Server stop

elif [ "$1" = "start" ] ; then 
  shift
    $JAVACMD -Xmx256M -DkeysDir=$KEYS_DIR -DkeysPass=$KEYS_PASS -cp launcher.jar com.bifit.launcher.LauncherServer start > stdout.log 2>&1 &

else
  echo "Usage:"
    echo "iBank2UA PC ( start|stop|help)"
  echo "        start - start server in a separate window"
  echo "        stop  - stop server"
  echo "        help  - output this help"

  exit 0

fi


